BitMagic-C++: Data Fields

BitMagic-C++

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - i -

- i16 : bm::ptr_payload_t
- i64 : bm::ptr_payload_t
- id_array_ : bm::deseriaizer_base< DEC, BLOCK_IDX >
- id_cnt_ : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- idx : bm::bvector< Alloc >::iterator_base::bitblock_descr
- idx_ : bv_index , bvs_index , sparse_vect_index , vect_index
- idx_from_ : bm::deserializer< BV, DEC >
- idx_range_from_ : bm::sparse_vector_deserializer< SV >
- idx_range_set_ : bm::sparse_vector_deserializer< SV >
- idx_range_to_ : bm::sparse_vector_deserializer< SV >
- idx_to_ : bm::deserializer< BV, DEC >
- import() : bm::bvector< Alloc > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- import_back() : bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- import_block() : bm::bvector< Alloc >
- import_no_check() : bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- in_sync() : bm::bvps_addr_resolver< BV > , bm::rsc_sparse_vector< Val, SV >
- inc() : bm::bvector< Alloc > , bm::sparse_vector< Val, BV >
- init() : bm::bvector< Alloc >
- init_remap_buffer() : bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- insert() : bm::bvector< Alloc > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- insert_clear_value_plains_from() : bm::base_sparse_vector< Val, BV, MAX_SIZE >
- insert_iterator() : bm::bvector< Alloc >::insert_iterator
- insert_null() : bm::base_sparse_vector< Val, BV, MAX_SIZE >
- insert_octet() : bm::basic_bmatrix< BV >
- insert_value() : bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- insert_value_no_null() : bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- inserter() : bm::bvector< Alloc >
- interpolated_arr_bit_block() : bm::serializer< BV >
- interpolated_encode_gap_block() : bm::serializer< BV >
- interpolated_gap_array() : bm::serializer< BV >
- interpolated_gap_array_v0() : bm::serializer< BV >
- interpolated_gap_bit_block() : bm::serializer< BV >
- interval_enumerator() : bm::interval_enumerator< BV >
- invalidate() : bm::bvector< Alloc >::iterator_base , bm::interval_enumerator< BV > , bm::rsc_sparse_vector< Val, SV >::const_iterator , bm::sparse_vector< Val, BV >::const_iterator , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::const_iterator
- invert() : bm::bvector< Alloc > , bm::sparse_vector_scanner< SV >
- is_all_one_range() : bm::bvector< Alloc >
- is_bit_true() : bm::bvector_mini< A >
- is_compressed() : bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- is_eof() : bm::serial_stream_iterator< DEC, BLOCK_IDX >
- is_eq_found() : bm::xor_scanner< BV >
- is_full_block() : bm::all_set< T >
- is_init() : bm::bvector< Alloc >
- is_null() : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::rsc_sparse_vector< Val, SV >::const_iterator , bm::rsc_sparse_vector< Val, SV > , bm::rsc_sparse_vector< Val, SV >::reference , bm::sparse_vector< Val, BV >::const_iterator , bm::sparse_vector< Val, BV >::reference , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::const_iterator , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::const_reference , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::reference
- is_nullable() : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::rsc_sparse_vector< Val, SV >
- is_range_set_ : bm::deserializer< BV, DEC >
- is_remap() : bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- is_stopped_ : bm::chrono_taker
- is_valid_block_addr() : bm::all_set< T >
- is_xor_ref() : bm::sparse_vector_serializer< SV >
- is_xor_ref_ : bm::sparse_vector_serializer< SV >
- iterator_base : bm::bvector< Alloc > , bm::bvector< Alloc >::iterator_base
- iterator_category : bm::bvector< Alloc >::bulk_insert_iterator , bm::bvector< Alloc >::counted_enumerator , bm::bvector< Alloc >::enumerator , bm::bvector< Alloc >::insert_iterator , bm::interval_enumerator< BV > , bm::rsc_sparse_vector< Val, SV >::back_insert_iterator , bm::rsc_sparse_vector< Val, SV >::const_iterator , bm::sparse_vector< Val, BV >::back_insert_iterator , bm::sparse_vector< Val, BV >::const_iterator , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::back_insert_iterator , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::const_iterator
- iterator_state : bm::serial_stream_iterator< DEC, BLOCK_IDX >